Skip to main content

Encrypted Registration with Push Token

POST 

/register/encrypted/notify

Registers a view key with the record scanner and registers a device push notification token for it. The ciphertext is derived from sealing a { view_key, start, fcm } payload with the public_key from GET /pubkey endpoint using a cryptobox seal. Submit the ciphertext with its key_id. Returns a UUID used to make future requests for records via the /records/owned endpoint.

Request​

Responses​

View key registered